From: Hans-Christoph Steiner <hans@eds.org>
Date: Mon, 12 Aug 2019 13:43:19 +0200
Subject: remove-troublesome-jgit-tricks

This build process uses jgit to add the git commit ID to the version
name used in the filename of the release jars.  That gets in the way
of Debian packaging.

Forwarded: not-needed
---
 build.gradle          | 20 +-------------------
 smalidea/build.gradle | 18 +-----------------
 2 files changed, 2 insertions(+), 36 deletions(-)

diff --git a/build.gradle b/build.gradle
index d9b89a5..ebfa9a7 100644
--- a/build.gradle
+++ b/build.gradle
@@ -39,22 +39,7 @@ if (!('release' in gradle.startParameter.taskNames)) {
     // for release, because it has some fixes required when running on Android
     jcommanderVersion = 'com.beust:jcommander:1.48'
 
-    def versionSuffix
-    try {
-        def git = org.eclipse.jgit.api.Git.open(file('.'))
-        def head = git.getRepository().getRef('HEAD')
-        versionSuffix = head.getObjectId().abbreviate(8).name()
-
-        if (!git.status().call().clean) {
-            versionSuffix += '-dirty'
-        }
-    } catch (Exception) {
-        // In case we can't get the commit for some reason,
-        // just use -dev
-        versionSuffix = 'dev'
-    }
-
-    version += "-${versionSuffix}"
+    version += "-debian"
 } else {
     jcommanderVersion = 'com.beust:jcommander:1.64'
 }
@@ -183,9 +168,6 @@ buildscript {
     repositories {
         mavenCentral()
     }
-    dependencies {
-        classpath 'org.eclipse.jgit:org.eclipse.jgit:2.0.0.201206130900-r'
-    }
 }
 
 wrapper {
diff --git a/smalidea/build.gradle b/smalidea/build.gradle
index 5720976..4cfa0e1 100644
--- a/smalidea/build.gradle
+++ b/smalidea/build.gradle
@@ -52,23 +52,7 @@ apply plugin: 'antlr'
 version = '0.05'
 
 if (!('release' in gradle.startParameter.taskNames)) {
-    def versionSuffix
-    try {
-        def git = org.eclipse.jgit.api.Git.open(file('..'))
-        def head = git.getRepository().getRef('HEAD')
-        versionSuffix = head.getObjectId().abbreviate(8).name()
-
-        if (!git.status().call().clean) {
-            versionSuffix += '-dirty'
-        }
-    } catch (Exception ex) {
-        // In case we can't get the commit for some reason,
-        // just use -dev
-        versionSuffix = 'dev'
-    }
-
-    def baseVersion = version
-    version = baseVersion + '-' + versionSuffix
+    version = baseVersion + '-debian'
 } else {
     if (System.env.JDK7_HOME == null && !JavaVersion.current().isJava7()) {
         throw new InvalidUserDataException("bzzzzzzzt. Release builds must be performed with java 7. " +
